Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1)

Issue 1882783002: [WebView] Disallow geolocation on insecure origins for apps targeting N and higher. (Closed)

Created:
3 years, 1 month ago by timvolodine
Modified:
3 years, 1 month ago
Reviewers:
Torne
CC:
chromium-reviews, android-webview-reviews_chromium.org, jww
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

[WebView] Disallow geolocation on insecure origins for apps targeting N and higher. In Chrome geolocation has been disabled on insecure origins previously in crrev.com/1485973002. For WebView we are enabling same behavior for apps that are targeting N and higher versions of Android. This is to allow for a smooth transition and remain reasonably backwards compatible with older apps. BUG=520765 Committed: https://crrev.com/4f4086735aeb59b937e8216c923f0ea7c58a3602 Cr-Commit-Position: refs/heads/master@{#387299}

Patch Set 1 #

Total comments: 2

Patch Set 2 : address Torne's comment #

Messages

Total messages: 13 (5 generated)
timvolodine
3 years, 1 month ago (2016-04-13 11:36:37 UTC) #3
Torne
https://codereview.chromium.org/1882783002/diff/1/android_webview/java/src/org/chromium/android_webview/AwSettings.java File android_webview/java/src/org/chromium/android_webview/AwSettings.java (right): https://codereview.chromium.org/1882783002/diff/1/android_webview/java/src/org/chromium/android_webview/AwSettings.java#newcode115 android_webview/java/src/org/chromium/android_webview/AwSettings.java:115: private boolean mAllowGeolocationOnInsecureOrigins = true; The other API level ...
3 years, 1 month ago (2016-04-13 15:33:02 UTC) #4
timvolodine
https://codereview.chromium.org/1882783002/diff/1/android_webview/java/src/org/chromium/android_webview/AwSettings.java File android_webview/java/src/org/chromium/android_webview/AwSettings.java (right): https://codereview.chromium.org/1882783002/diff/1/android_webview/java/src/org/chromium/android_webview/AwSettings.java#newcode115 android_webview/java/src/org/chromium/android_webview/AwSettings.java:115: private boolean mAllowGeolocationOnInsecureOrigins = true; On 2016/04/13 15:33:01, Torne ...
3 years, 1 month ago (2016-04-13 16:38:57 UTC) #5
Torne
lgtm
3 years, 1 month ago (2016-04-13 16:42:13 UTC) #6
sgurun-gerrit only
On 2016/04/13 16:42:13, Torne wrote: > lgtm jww, FYI
3 years, 1 month ago (2016-04-13 22:24:49 UTC) #7
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1882783002/20001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1882783002/20001
3 years, 1 month ago (2016-04-14 13:00:12 UTC) #9
commit-bot: I haz the power
Committed patchset #2 (id:20001)
3 years, 1 month ago (2016-04-14 13:38:38 UTC) #11
commit-bot: I haz the power
3 years, 1 month ago (2016-04-14 13:40:19 UTC) #13
Message was sent while issue was closed.
Patchset 2 (id:??) landed as
https://crrev.com/4f4086735aeb59b937e8216c923f0ea7c58a3602
Cr-Commit-Position: refs/heads/master@{#387299}

Powered by Google App Engine
This is Rietveld 408576698